package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.AndonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : ANDON_事件处理方法
 * @Reference :
 * @Author : hansen.ke
 * @CreateDate : 2019-05-13 17:16
 * @Modify:
 **/
@Data
@Entity
@Table(name="ANDON_EVENT_METHOD")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api("ANDON_事件处理方法")
public class AndonEventMethod extends BaseBean {

    @Column(name = "EM_CODE")
    @ApiParam(value = "事件方法代码")
    private String emCode;

    @Column(name = "EM_NAME")
    @ApiParam(value = "事件方法描述")
    private String emName;

    @Column(name = "PARENT_EM_CODE")
    @ApiParam(value = "父阶方法代码")
    private String parentEmCode;

    @AnnoOutputColumn(refClass = AndonEnumUtil.ALARM_TYPE.class,refForeignKey = "value",value = "description")
    @Column(name = "ALARM_CODE")
    @ApiParam(value = "安灯类型")
    private String alarmCode;
}
