package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
* @Description : WMS_设备信息
* @Reference :
* @author: amy.liu
* @date: 2019/7/29 10:39
* @Modify:
*/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_FIX")
@Api("WMS设备信息")
public class WmsFix extends BaseBean{

    @Column(name = "FIX_ID")
    @ApiParam("设备编号")
    public String fixId;

    @Column(name = "FIX_MAC")
    @ApiParam("设备mac地址")
    public String fixMac;

    @Column(name = "FIX_NAME")
    @ApiParam("设备名称")
    public String fixName;
}
