package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 单位换算
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-11 14:18
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_UNIT_CONVERT")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="单位换算",description = "单位换算")
public class WmsUnitConvert extends BaseBean {

    @Column(name = "UNIT_CODE")
    @ApiParam(value = "单位代码")
    private String unitCode;

    @Column(name = "DEST_UNIT_CODE")
    @ApiParam(value = "目标单位")
    private String destUnitCode;

    @Column(name = "UNIT_COEFFICIENT")
    @ApiParam(value = "换算率")
    private Double unitCoefficient;

    public Double getUnitCoefficientVal() {
        return this.unitCoefficient == null ? 0 : this.unitCoefficient.doubleValue();
    }
}
